ui = navbarPage(title = 'Crossing Distributions',
                collapsible = T, 
                position = 'fixed-top',
                theme  = add_theme(getShinyOption('theme')),
                header = add_css(),
                footer = add_logo(),

                
tabPanel('Normal-Normal',
   sidebarLayout(
   sidebarPanel(width = 3,
      sliderInput('norm1.1', 
                  label = HTML('Mean - &mu;<sub>1</sub>'), 
                  min = 4,
                  max = 30,
                  step = 1,
                  value = 12),
      sliderInput('norm1.2', 
                  label = HTML('Std Dev - &sigma;<sub>1</sub>'), 
                  min = 1,
                  max = 10,
                  step = .5,
                  value = 4 ),
      sliderInput('norm2.1', 
                  label = HTML('<red>Mean - &#x3BC;<sub>2</sub></red>'), 
                  min = 3,
                  max = 30,
                  step = 1,
                  value = 20),
      sliderInput('norm2.2', 
                  label = HTML('<red>Std Dev - &sigma;<sub>2</sub></red>'), 
                  min = 1,
                  max = 10,
                  step = .5,
                  value = 5 )),
                          
                mainPanel(plotOutput('nor.nor', height = '625px'), width = 9))),
    
tabPanel('Weibull-Weibull',
   sidebarLayout(
   sidebarPanel(width = 3,
      sliderInput('weib1.1', 
                  label = HTML('Shape - &beta;<sub>1</sub>'), 
                  min = 0.5,
                  max = 6,
                  step = .5,
                  value = 1),
      sliderInput('weib1.2', 
                  label = HTML('Scale - &eta;<sub>1</sub>'), 
                  min = 5,
                  max = 40,
                  step = 1,
                  value = 12 ),
      sliderInput('weib2.1', 
                  label = HTML('<red>Shape - &beta;<sub>2</sub></red>'), 
                  min = 0.5,
                  max = 6,
                  step = 0.5,
                  value = 0.5),
      sliderInput('weib2.2', 
                  label = HTML('<red>Scale - &eta;<sub>2</sub></red>'), 
                  min = 5,
                  max = 40,
                  step = 1,
                  value = 25 )),
               
mainPanel(plotOutput('weib.weib', height = '625px'), width = 9))))
