ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),

tabPanel('Shiny App',
sidebarLayout(
sidebarPanel(width = 3, 
             hr(),
  sliderInput("rangee", 
              label = "Range:",
              min = 0, 
              max = 50, 
              value = c(0,20)),
  hr(),
  sliderInput("theta", 
              label = HTML("Scale (&theta;)"),
              min = .5, 
              max = 10, 
              step = .5, 
              value = 1, 
              animate = T),
  hr(),
  sliderInput("gamma", 
              label = HTML("Location (&gamma;)"),
              min = 0, 
              max = 15, 
              step = 1, 
              value = 0, 
              animate = T)),

  mainPanel(width = 9,
 tabsetPanel(type = 'pills',
  tabPanel('Distribution Function',  
           metricsgraphicsOutput(height = "550px", "expC")),
  tabPanel('Density',
           metricsgraphicsOutput(height = "550px", "expP")),
  tabPanel('Survival',
           metricsgraphicsOutput(height = "550px", "expR")),
  tabPanel('Hazard',
           metricsgraphicsOutput(height = "550px", "exph")),
  tabPanel('Cumulative Hazard',
           metricsgraphicsOutput(height = "550px", "expH")),
  tabPanel('Quantile',
           metricsgraphicsOutput(height = "550px", "expQ")))))))
