ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),
               
sidebarLayout(
  sidebarPanel(width = 3, 
  hr(), 
  sliderInput("range.geom", 
              label = "Range",
              min = 0, 
              max = 50, 
              step = 1,
              value = c(0,10)),
  hr(), 
  sliderInput("prob.geom", 
              label = "Probability",
              min = .05, 
              max = 1, 
              step = .05, 
              value = .05,
              animate = TRUE)), 

mainPanel(width = 9, 
          tabsetPanel(type = "pills", 
          tabPanel("Distribution Function", 
                   metricsgraphicsOutput(height = "550px", "geomC")), 
          tabPanel("Mass",
                   metricsgraphicsOutput(height = "550px", "geomP")), 
          tabPanel("Survival", 
                   metricsgraphicsOutput(height = "550px", "geomR")), 
          tabPanel("Hazard", 
                   metricsgraphicsOutput(height = "550px", "geomh")), 
          tabPanel("Cumulative Hazard", 
                   metricsgraphicsOutput(height = "550px", "geomH")),
          tabPanel("Quantile", 
                   metricsgraphicsOutput(height = "550px", "geomQ")))))) 
